/**
 *
 *    Ensure the sortable function is loaded
 *    if isn't yet, load the jquery UI ('sortable' is part of the UI)
 */

if(!jQuery().sortable){
    jQuery.insert(WB_URL+"/include/jquery/jquery-ui-min.js");
    console.log("jquery-ui musste nachgeladen werden!");
}

if(jQuery().sortable){

    /**
        Drag&Drop
        =========
        sortable | http://jqueryui.com/demos/sortable/
    */

    jQuery(function() {
        jQuery('.dragdrop_item').addClass('dragdrop_handle');
        jQuery(".dragdrop_form .move_position a").remove();

        jQuery(".dragdrop_form tbody").sortable({
            appendTo:     'body',
            handle:      '.dragdrop_handle',
            opacity:     0.9,
            cursor:     'move',
            items:         'tr',
            dropOnEmpty: false,
            revert: 200,
            update: function() {
                jQuery.ajax({
                    type:     'POST',
                    url:      MODULE_URL +'/dragdrop.php',
                    data:     jQuery(this).sortable("serialize", {
                                 expression: /(.+)[:=](.+)/
                              }) + '&action=updatePosition',
                    dataType: 'json',
                    success:  function(json_respond) {
                    
                        if( json_respond.success != true ) {
                            alert(json_respond.message);
                        }
                        
                    }
                });
            }
        })
    });
    
}//endif .sortable
