<?php
/*
**  Nach Drag'n'Drop die Positionsnummern neu vergeben
*/

// Kommunikation vorbereiten
$aJsonRespond = array();
$aJsonRespond['success'] = false;
$aJsonRespond['message'] = '';

// Fuer TABLE_PREFIX und WB_PATH
require_once '../../config.php'; 
$tablename = TABLE_PREFIX . "mod_" . basename(__DIR__);

// Notwendige Parameter uebergeben?
if (!isset($_POST['action']) || !isset($_POST['pk']))  {
  $aJsonRespond['message'] = 'one of the parameters does not exist';
  exit(json_encode($aJsonRespond));
}

// Action gueltig?
if ($_POST['action'] != "updatePosition") {
  $aJsonRespond['message'] = 'wrong arguments';
  exit(json_encode($aJsonRespond));
}

// Schutz vor unerlaubter Nutzung!
require_once(WB_PATH.'/framework/class.admin.php');
$admin = new admin('Pages', 'pages_modify', false, false);
if (!($admin->is_authenticated() && $admin->get_permission('vslider', 'module'))) {
    $aJsonRespond['message'] = 'insuficcient rights';
    exit(json_encode($aJsonRespond));
}

// Alles OK: Dann vergeben wir nun die neuen Positionsnummern
$i = 1;
foreach ($_POST['pk'] as $rowID) {
  $id = intval($rowID);
  if ($id<=0) {
    $aJsonRespond['message'] = 'invalid value';
    exit(json_encode($aJsonRespond));
  }
  $database->query("UPDATE `".$tablename."` SET `pos` = '".$i."' WHERE `pk` = ".$id.";");
  $i++;
}

// Datenbankfehler zurueckmelden    
if ($database->is_error()) {
  $aJsonRespond['message'] = 'db query failed: '.$database->get_error();
  exit(json_encode($aJsonRespond));
}

// Erfolg zurueckmelden
$aJsonRespond['message'] = 'seems everything is fine';
$aJsonRespond['success'] = true;
exit(json_encode($aJsonRespond));
?>
