<?php

/*
** Modul Ziehharmonika installieren
*/

if (defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

global $database, $admin;

$tablename = TABLE_PREFIX . "mod_" . basename(__DIR__);
$settings  = $tablename . '_settings';

// Content
$database->query("DROP TABLE IF EXISTS ".$tablename);
$statement = 'CREATE TABLE `'.$tablename.'` ('
  .'`pk` int(11) NOT NULL AUTO_INCREMENT,'
  .'`section_id` int(11) NULL,'
  .'`pos` DECIMAL(5,1) NULL,'
  .'`title` varchar(255),'
  .'`wysiwyg` text ,'
  . 'PRIMARY KEY (pk)'  
  .')';

if (!$database->query($statement)) {
    $admin->print_error($database->get_error());
}

// Settings
$database->query("DROP TABLE IF EXISTS ".$settings);
$statement = 'CREATE TABLE `'.$settings.'` ('
 .'`section_id` INT(10) NOT NULL,' 
 .'`direction` VARCHAR(5),'
 .'`highlander` VARCHAR(5),'
 .'`openfirst` VARCHAR(5),'
 .'`openedsymbol` VARCHAR(1),'
 .'`closedsymbol` VARCHAR(1),'
 .'`prefixsymbol` VARCHAR(1),'
 .' PRIMARY KEY (`section_id`)'
 .');';

if (!$database->query($statement)) {
    $admin->print_error($database->get_error());
}

?>
