<?php

/*
** Settings Speichern
*/

$update_when_modified = true; // muss VOR dem admin.php
require '../../config.php';
require WB_PATH.'/modules/admin.php';

$settings = TABLE_PREFIX."mod_".basename(__DIR__).'_settings';
$mod_url  = WB_URL."/modules/".basename(__DIR__);

// Zeile holen ueber die section_id (PK)
$query = $database->query("SELECT * FROM `".$settings."` WHERE `section_id` = $section_id");
$row   = $query->fetchRow();

// load module language file
$lang = __DIR__.'/languages/'.LANGUAGE.'.php';
require (!file_exists($lang) ? __DIR__.'/languages/EN.php' : $lang);

// Werte
$direction    = $row['direction'];
$highlander   = $row['highlander'];
$openfirst    = $row['openfirst'];
$openedsymbol = $row['openedsymbol'];
$closedsymbol = $row['closedsymbol'];
$prefixsymbol = $row['prefixsymbol'];

echo "<h3>Ziehharmonika</h3>";
echo "[Seite ".$page_id." Abschnitt ".$section_id."]";
?>

<form name="edit" action="<?php echo $mod_url; ?>/save_settings.php" method="post" style="margin: 0;">
  <input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
  <input type="hidden" name="page_id" value="<?php echo $page_id; ?>">

  <table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr>
      <td width="180px"><?php echo $ZIEHTEXT['DIRECTION']; ?></td>
      <td width="450px">
	      <select name="direction" style="width: 20%;">
	        <option value ="left" <?php if ($direction == 'left') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['LEFT']; ?></option>
		      <option value ="right" <?php if ($direction == 'right') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['RIGHT']; ?></option>
        </select>
      </td>
    </tr>

    <tr>
      <td width="180px"><?php  echo $ZIEHTEXT['HIGHLANDER']; ?></td>
      <td width="450px">
      	<select name="highlander" style="width: 20%;">
	        <option value ="true" <?php if ($highlander == 'true') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['YES']; ?></option>
		      <option value ="false" <?php if ($highlander == 'false') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['NO']; ?></option>
        </select>
	    </td>
    </tr>

    <tr>
     <td  width="180px"><?php  echo $ZIEHTEXT['OPENFIRST']; ?></td>
     <td width="450px">
	      <select name="openfirst" style="width: 20%;">
	        <option value ="true" <?php if ($openfirst == 'true') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['YES']; ?></option>
		      <option value ="false" <?php if ($openfirst == 'false') { echo ' selected="selected"'; } echo '>'.$ZIEHTEXT['NO']; ?></option>
        </select>
	    </td>
    </tr>

    <tr>
    <td  width="180px"><?php  echo $ZIEHTEXT['PREFIXSYMBOL']; ?></td>
    <td width="450px">
		    <input type="text" name="prefixsymbol" value="<?php echo $prefixsymbol; ?>" maxlength="1" style="width: 5%;"/>
	    </td>
    </tr>
    <tr>
      <td width="180px"><?php  echo $ZIEHTEXT['CLOSEDSYMBOL']; ?></td>
      <td width="450px">
		    <input type="text" name="closedsymbol" value="<?php echo $closedsymbol; ?>" maxlength="1" style="width: 5%;"/>
	    </td>
    </tr>

    <tr>
    <td  width="180px"><?php  echo $ZIEHTEXT['OPENEDSYMBOL']; ?></td>
    <td width="450px">
		    <input type="text" name="openedsymbol" value="<?php echo $openedsymbol; ?>" maxlength="1" style="width: 5%;"/>
	    </td>
    </tr>

  </table>

  <table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr>
	    <td align="left">
		    <input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;">
	    </td>
	    <td align="left">
		    <input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
	    </td>
    </tr>
  </table>

</form>

<?php $admin->print_footer(); // Print admin footer ?>
