<?php

/*
** Settings speichern
*/

require '../../config.php';
$update_when_modified = true; // muss VOR dem admin.php
require WB_PATH . '/modules/admin.php';

// Werte holen 
$direction    = $admin->add_slashes($_POST['direction']);
$highlander   = $admin->add_slashes($_POST['highlander']);
$openfirst    = $admin->add_slashes($_POST['openfirst']);
$closed = $_POST['closedsymbol'];
$opened = $_POST['openedsymbol'];
$prefix = $_POST['prefixsymbol'];

// 'Boese' Zeichen ausfiltern und durch Standardzeichen ersetzen
if ($closed == "'" or $closed == "\\" or $closed == "\"") {$closed="+";}
if ($opened == "'" or $opened == "\\" or $opened == "\"") {$opened="-";}
if ($prefix == "'" or $prefix == "\\" or $prefix == "\"") {$prefix="-";}
$closedsymbol = $admin->add_slashes($closed);
$openedsymbol = $admin->add_slashes($opened);
$prefixsymbol = $admin->add_slashes($prefix);

// Daten aendern
$database->updateRow(TABLE_PREFIX."mod_".basename(__DIR__).'_settings', 'section_id', array (
                     'direction'    => $direction,
                     'highlander'   => $highlander,
                     'openfirst'    => $openfirst,
                     'closedsymbol' => $closedsymbol,
                     'openedsymbol' => $openedsymbol,
                     'prefixsymbol' => $prefixsymbol,
                     'section_id'   => $section_id));

// Check if there is a db error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
} else {
	$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Print admin footer
$admin->print_footer();
?>
