<?php

/*
** Section anzeigen
*/

// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { exit("Cannot access this file directly");}

$tablename = TABLE_PREFIX."mod_".basename(__DIR__);
$settings  = $tablename.'_settings';

// Zeile holen ueber die section_id (PK)
$query = $database->query("SELECT * FROM ".$settings." WHERE section_id='$section_id'");
$row   = $query->fetchRow();

// Werte
$direction    = $row['direction'];
$highlander   = $row['highlander'];
$openfirst    = $row['openfirst'];
$openedsymbol = $row['openedsymbol'];
$closedsymbol = $row['closedsymbol'];
$prefixsymbol = $row['prefixsymbol']; // since: V1.0.4

// Schleife ueber die Eintraege dieser Section.
$query_rows = $database->query("SELECT * FROM ".$tablename." WHERE section_id='".$section_id."' ORDER BY pos ASC");
if($query_rows->numRows() > 0) {
  echo '<div class="ziehharmonika sid-'.$section_id.'">'.PHP_EOL;
	while($row = $query_rows->fetchRow()) {
    echo '<h3 class="zh-title">'.stripslashes($row['title']).'</h3>'.PHP_EOL;
    echo '<div>'.PHP_EOL;
    echo stripslashes($row['wysiwyg']).PHP_EOL;
    echo '</div>'.PHP_EOL;
  }
  echo '</div> <!-- // ziehharmonika (Section_Id - '.$section_id.') -->'.PHP_EOL;
}

// Script f. Ziehharmonika einbringen (Je Section_Id ein Script)
echo "<script>
$('.ziehharmonika.sid-".$section_id."').ziehharmonika({
  collapseIconsAlign: '".$direction."', 
  highlander: ".$highlander.",".PHP_EOL;
  if ($prefixsymbol != "") { 
    echo "  prefix: '".$prefixsymbol."',".PHP_EOL;
  }
echo "  collapsible: true, 
  headline: 'h3.zh-title',
  collapseIcons: {opened: '".$openedsymbol."', closed: '".$closedsymbol."'},
});".PHP_EOL;
if ($openfirst == 'true') {
  echo "$('.ziehharmonika h3.zh-title:eq(0)').ziehharmonika('open');".PHP_EOL;
}
echo "</script>".PHP_EOL;

?>

