<?php

/*
** Dieses Modul einer Section hinzufuegen
*/

// Must include code to stop this file being access directly
if (defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

$tablename = TABLE_PREFIX."mod_".basename(__DIR__);
$settings  = $tablename.'_settings';

// New row for this section_id
$database->insertRow($tablename, array(
          'pos'        => 1,  
          'section_id' => $section_id, 
          'title'      => '', 
          'wysiwyg'    => ''));

// Check Errors
if ($database->is_error()) {
  $admin->print_error($database->get_error());
}

// Bei neuer Section die Settings vorbelegen
// Platzierung Symbole, Highlander, Openfirst, Symbol geoeffneter Titel, geschlossener Titel
$database->insertRow($settings, array(
	         'section_id'   => $section_id,
	         'direction'    => 'left',
	         'highlander'   => 'true',
	         'openfirst'    => 'false',
	         'openedsymbol' => '-',
	         'closedsymbol' => '+',
	         'prefixsymbol' => ''));
	                             
// Check Errors
if ($database->is_error()) {
  $admin->print_error($database->get_error());
}

?>
