<?php
/*
** Bearbeitung: Zeile oberhalb oder unterhalb der aktuellen Position einfuegen und Zeilen neu nummerieren
*/
$update_when_modified = true; // muss VOR dem admin.php
require '../../config.php';
require WB_PATH.'/modules/admin.php';
require 'functions.php'; 

$tablename = TABLE_PREFIX."mod_".basename(__DIR__);

$cur_pos   = $_GET['pos'];
$direction = $_GET['direction'];

// Neue Position vorbereiten (Typ DECIMAL!)
if ($direction == 'UP' ) {  
  $new_pos = $cur_pos - 0.5; //   Vor aktueller Zeile
} else { 
  $new_pos = $cur_pos + 0.5; //   Nach aktueller Zeile
}

// Vorgaben f. neue Zeile
$row['section_id'] = $section_id;
$row['pos']        = $new_pos;
$row['title']      = ''; 
$row['wysiwyg']    = '';

// Neue Zeile einfuegen und neu numerieren
$database->insertRow($tablename, $row);

// Bei Fehler hier schon zurueck
if($database->is_error()) {
	$admin->print_error($database->get_error(), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

// Positionsnummern neu vergeben
if(renumberlist()) {
  $admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
} else {
  $admin->print_error($TEXT['ERROR'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

?>

