<?php

/*
** Startseite fuer die Bearbeitung im Backend.
*/

// Must include code to stop this file being access directly
if (defined('WB_PATH') == false) { exit("Cannot access this file directly");}

$tablename = TABLE_PREFIX . "mod_" . basename(__DIR__);
$settings  = $tablename . '_settings';
$mod_url   = WB_URL . "/modules/" . basename(__DIR__);

// Fuer Drag & Drop. 
echo "<script>var MODULE_URL = '".$mod_url."';</script>";
I::insertJsFile($mod_url.'/dragdrop.js','BODY BTM-');

// load module language file
$lang = __DIR__ . '/languages/' . LANGUAGE . '.php';
require (!file_exists($lang) ? __DIR__ . '/languages/EN.php' : $lang);

// Start Ausgabe
echo '<a href ="' . $mod_url . '/modify_settings.php?page_id=' .$page_id . '&section_id=' . $section_id . '">' . $ZIEHTEXT['SETTINGS'] . '</a>';
echo '<table class="liste dragdrop_form" cellpadding="2" cellspacing="0" width="100%" border="0">';

// Loop through existing data. section_id is unique. So we need no page_id here!
$query_rows = $database->query("SELECT * FROM `" . $tablename . "` WHERE `section_id`= '" . $section_id . "' ORDER BY `pos` ASC");

// Falls keine Zeile da (letzten Eintrag geloescht?), neue Zeile hinzufuegen
if($query_rows->numRows() == 0) {
  $database->insertRow($tablename, array('pos' => 1, 'section_id' => $section_id, 'title' => '', 'wysiwyg' => ''));
  $query_rows = $database->query("SELECT * FROM `".$tablename."` WHERE `section_id`= '".$section_id."' ORDER BY `pos` ASC");  
} 

// Tabellenhandling 
while ($row = $query_rows->fetchRow()) {
  $pk          = $row['pk'];         // Primary Key, Autoincremental
  $pos         = $row['pos'];        // Laufende Nummer innerhalb einer Section
  $titel       = $row['title'];      // Titelzeile
  $wysiwyg     = $row['wysiwyg'];    // Text
  
  // ========================================== Rowlist Start ===============================================  
?>
  
<tr id="pk:<?php echo $row['pk']; ?>" height="25" >

<td class="dragdrop_item" width="600">
  <a href="<?php echo $mod_url;?>/modify_line.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pk=<?php echo $pk; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
    <?php echo '&nbsp;' . substr($row['title'],0,90); ?>...
  </a>
</td>

<td width="20">
  <a href="<?php echo $mod_url;?>/modify_line.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pk=<?php echo $pk; ?>" title="<?php echo $TEXT['MODIFY']; ?>">
    <img src="<?php echo THEME_URL ;?>/images/modify_16.png" border="0" alt="Modify" />        
  </a>
</td>

<td width="20">
	<a href="#" onclick="javascript: confirm_link('<?php echo $TEXT['ARE_YOU_SURE']; ?>', '<?php echo $mod_url;?>/delete_line.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pk=<?php echo $pk; ?>');" title="<?php echo $TEXT['DELETE']; ?>">      
    <img src="<?php echo THEME_URL ;?>/images/delete_16.png" border="0" alt="Delete" />
  </a>
</td>



<td width="20">
  <a href="<?php echo $mod_url;?>/insert_line.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pos=<?php echo $row['pos']; ?>&direction=UP" title="<?php echo $ZIEHTEXT['NEWBEFORE']; ?>">
    <img src="<?php echo THEME_URL ;?>/images/siteadd.png" border="0" alt="Add" />
  </a>
</td>


<td width="20">
  <a href="<?php echo $mod_url;?>/insert_line.php?page_id=<?php echo $page_id; ?>&section_id=<?php echo $section_id; ?>&pos=<?php echo $row['pos']; ?>&direction=DOWN" title="<?php echo $ZIEHTEXT['NEWAFTER']; ?>">
    <img src="<?php echo THEME_URL ;?>/images/siteadd.png" border="0" alt="Add" />
  </a>
</td>

</tr>

<?php
// =======================================================================================================
// ========================================== Rowlist Ende ===============================================  
// =======================================================================================================

}
  echo '</table>';
?>

