<?php

/*
** Bearbeitung: Zeile Speichern
*/

$update_when_modified = true; // muss VOR dem admin.php
require '../../config.php';
require WB_PATH.'/modules/admin.php';

$tablename = TABLE_PREFIX . "mod_" . basename(__DIR__);
$modul_url = WB_URL . "/modules/" . basename(__DIR__);

// Austauschen von unerwuenschten Dingen
$evil_pieces = array ('<', '>', '?php');
$good_pieces = array ('&lt;', '&gt;', '');

// Werte aus Uebergabe holen 
$pk      = $_POST['pk'];
$title   = $admin->add_slashes(str_replace($evil_pieces, $good_pieces,$_POST['title']));   
$wysiwyg = $admin->add_slashes($_POST['wysiwyg']);

// Zeile modifizieren
$database->updateRow($tablename, 'pk', array('title' => $title,'wysiwyg' => $wysiwyg, 'pk' => $pk));

// Check if there is a db error, otherwise say successful
if ($database->is_error()) {
  $admin->print_error($database->get_error(), $modul_url.'/modify_line.php?page_id='.$page_id.'&section_id='.$section_id.'&pk='.$pk);
} else {
  $admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}

$admin->print_footer(); // Print admin footer
?>
