<?php

/*
** Suche 
*/

// Must include code to stop this file being access directly
if (defined('WB_PATH') == false) { die("Cannot access this file directly"); }

function ziehharmonika_search($func_vars) {
  extract($func_vars, EXTR_PREFIX_ALL, 'func');

  $max_excerpt_num = $func_default_max_excerpt;
	$divider         = ".";
	$result          = false;
	$tablename       = TABLE_PREFIX."mod_".basename(__DIR__);
	$SQL             = "SELECT m.title, m.wysiwyg FROM $tablename m WHERE m.section_id = ". $func_section_id;
		            
	if (null == ($query = $func_database->query($SQL)))
    trigger_error(sprintf('[%s - %s] %s', __FUNCTION__, __LINE__, $func_database->get_error()), E_USER_ERROR);
 
	if ($query->numRows() > 0) {
	 while ($res = $query->fetchRow()) {
      $text = $res['title'].$divider.$res['wysiwyg'].$divider;
			$mod_vars = array(
				'page_link' => $func_page_link,
        'page_link_target' => "#wb_section_". $func_section_id,   /* klappt leider so nicht */
				'page_title' => $func_page_title . ' ('.$res['title'].')',
				'page_description' => $func_page_description,
				'page_modified_when' => $func_page_modified_when,
				'page_modified_by' => $func_page_modified_by,
				'text' => $text,
				'max_excerpt_num' => $max_excerpt_num
			);
			if (print_excerpt2($mod_vars, $func_vars)) {
				$result = true;
			}
		}
	}
	return $result;
}

?>
